You are not logged in.

#1 2019-12-29 09:36:48

cloverskull
Member
Registered: 2018-09-30
Posts: 8

[solved] kodi-addon-game-libretro-mupen64plus resolution issue

Hey guys,

I'm trying to install kodi-addons and am having problems with kodi-addon-game-libretro-mupen64plus[1], evidently it can't resolve libretro-mupen64plus (a virtual package?):

$ pacman -S kodi-addon-game-libretro-mupen64plus
resolving dependencies...
warning: cannot resolve "libretro-mupen64plus", a dependency of "kodi-addon-game-libretro-mupen64plus"
:: The following package cannot be upgraded due to unresolvable dependencies:
      kodi-addon-game-libretro-mupen64plus

Anyone have any ideas how I can fix this? Thanks!


1. https://www.archlinux.org/packages/comm … pen64plus/

Last edited by cloverskull (2020-01-03 21:07:32)

Offline

#2 2019-12-29 11:19:44

xerxes_
Member
Registered: 2018-04-29
Posts: 278

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

Do you have installed packages: libretro-core-info, kodi-addon-game-libretro, libretro-mupen64plus-next ?

Offline

#3 2019-12-29 20:52:12

cloverskull
Member
Registered: 2018-09-30
Posts: 8

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

Hi xerxes_, thanks for replying. I have libretro-core-info and kodi-addon-game-libretro, but when I try installing libretro-mupen64-next, I get a "target not found" error.

Offline

#4 2019-12-29 23:53:48

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 10,486

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

Because its libretro-mupen64plus-next. But the fact that this isn't resolved as the correct provider is likely a bug in that package, it should provide that dependency in addition to being a replacement.

Offline

#5 2019-12-30 12:18:31

cloverskull
Member
Registered: 2018-09-30
Posts: 8

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

I was going to file a bug but notice it’s been flagged as out of date a couple of months ago. Is there anything I can do in the mean time to try to fix it? Should I just submit a PR on the github repo?

Offline

#6 2019-12-30 14:21:32

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 10,486

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

We afaik don't have github repos to pull request to but abusing the out of date flag also isn't correct for reporting a packaging bug. You should open up a bug report on https://bugs.archlinux.org/ on the libretro-mupen64plus-next package so that it also provides libretro-mupen64plus and not just conflicts on it.

Offline

#7 2020-01-02 02:48:45

cloverskull
Member
Registered: 2018-09-30
Posts: 8

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

Offline

#8 2020-01-03 21:06:59

cloverskull
Member
Registered: 2018-09-30
Posts: 8

Re: [solved] kodi-addon-game-libretro-mupen64plus resolution issue

And fixed. Marking [solved].

Offline

Board footer

Powered by FluxBB